/**
 * Project Name:tuia-youtui-web<br>
 * File Name:PrizeDteailRsp.java<br>
 * Package Name:com.duiba.tuia.youtui.web.model.rsp<br>
 * Date:2017年2月5日下午4:22:10<br>
 * Copyright (c) 2017, duiba.com.cn All Rights Reserved.<br>
 */
package com.duiba.tuia.youtui.web.model.rsp;

import com.duiba.tuia.youtui.web.biz.interfaces.ImageBusiness;
import com.duiba.tuia.youtui.web.tool.DomainUtil;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * ClassName: PrizeDteailRsp <br/>
 * date: 2017年2月5日 下午4:22:10 <br/>
 * .
 *
 * @author xiawei
 * @version
 * @since JDK 1.6
 */
public class PrizeDteailRsp implements ImageBusiness{

    /** The title. */
    private String title;

    /** The description. */
    private String description;

    /** The img. */
    private String img;

    /** The vali date. */
    private String valiDate;

    /**
     * Gets the title.
     *
     * @return the title
     */
    public String getTitle() {
        return title;
    }

    /**
     * Sets the title.
     *
     * @param title the title
     */
    public void setTitle(String title) {
        this.title = title;
    }

    /**
     * Gets the description.
     *
     * @return the description
     */
    public String getDescription() {
        return description;
    }

    /**
     * Sets the description.
     *
     * @param description the description
     */
    public void setDescription(String description) {
        this.description = description;
    }

    /**
     * Gets the img.
     *
     * @return the img
     */
    public String getImg() {
        return img;
    }

    /**
     * Sets the img.
     *
     * @param img the img
     */
    public void setImg(String img) {
        this.img = img;
    }

    /**
     * Gets the vali date.
     *
     * @return the vali date
     */
    public String getValiDate() {
        return valiDate;
    }

    /**
     * Sets the vali date.
     *
     * @param valiDate the vali date
     */
    public void setValiDate(String valiDate) {
        this.valiDate = valiDate;
    }

    /**
     * To string.
     *
     * @return the string
     */
    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this);
    }

    @Override
    public void replaceDomain(String domain) {
        img = DomainUtil.replaceDomain(img, domain);
    }
}
